Results 1 to 6 of 6

Thread: GNOME: Problems with Update Applet (gnome-packagekit)

  1. #1
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Red face GNOME: Problems with Update Applet (gnome-packagekit)

    Hi users fororum,
    I have a curious problem with the half-automatic update in GNOME.

    A orange star in my system panel shows me a pending update.
    When I click on the star the (GNOME) update viewer opens.
    (Seems this is out of the GNOME package "gnome-packagekit", see: PackageKit - Main Page.)
    This wants to install "libzypp: Collective update for openSUSE 11.2
    softwaremgmt_201004-2355 (noarch)".
    But when I try to allow this it fails.
    The message is: "Subprocess failed. Error: RPM failed: error: package yast2-qt-pkg-2.18.18-1.1.2.i586 is not installed".

    I think I have caused this by having updated yast2-qt-pkg before by the openSUSE graphic Software Manager (yast2). I had already installed yast2-qt-pkg-2 2.18.22-1.1.1 (i586) and other (in yast2/Software Manager pending) updates by in that way. Reinstalling all or at least all affected programs did no change to the Update Applet/the problem described above.

    Should I downgrade again by yast? Or can I delete in any way the message in the Update Applet that makes it suggesting the collective update by the red-orange star?

    Should I restrict/not use the use of the semi-automatic update in the future (only look at the star and than use YaST) as packagekit seems to be able to initiate conflicts with updates by Yast?

    Sorry for causing so much trouble in my system and asking then for help.

    Greetings
    pistazienfresser
    ---
    Most used:
    GNOME 2.28.2 (or sometimes KDE 4.3.5) in SUSE LINUX Release 11.2
    Kernel Linux 2.6.31.12-0.2-default (or sometimes MS Win XP)
    Samsung X20 (SX20S) with Pentium M 1730 MHz and intern intel graphic 915 GM

    According the bugzilla links in the description the collective update seems to effect on:
    PackageKit, PackageKit-debuginfo, PackageKit-debugsource,
    PackageKit-devel, PackageKit-doc, PackageKit-lang, libpackagekit-glib12,
    libpackagekit-glib12-debuginfo, libpackagekit-glib12-devel, libpackagekit-qt12,
    libpackagekit-qt12-debuginfo, libpackagekit-qt12-devel, libsatsolver,
    libsatsolver-debugsource, libsatsolver-demo, libsatsolver-demo-debuginfo,
    libsatsolver-devel, libsatsolver-devel-debuginfo, libzypp, libzypp-bindings,
    libzypp-debuginfo, libzypp-debugsource, libzypp-devel, perl-satsolver,
    perl-satsolver-debuginfo, perl-zypp, python-satsolver,
    python-satsolver-debuginfo, python-zypp, ruby-satsolver,
    ruby-satsolver-debuginfo, ruby-zypp, ruck, satsolver-tools,
    satsolver-tools-debuginfo, yast2-ncurses, yast2-ncurses-debuginfo,
    yast2-ncurses-debugsource, yast2-ncurses-devel, yast2-ncurses-pkg,
    yast2-ncurses-pkg-debuginfo, yast2-ncurses-pkg-debugsource, yast2-qt-pkg,
    yast2-qt-pkg-debuginfo, yast2-qt-pkg-debugsource, zypp-testsuite-tools, zypper,
    zypper-debuginfo, zypper-debugsource
    Description of the collective update:

    This update is important as it may solve critical problems.
    The following bugs are fixed by this update:
    • Fix parsing port from IPv6 URL [bnc#593385]
    • Parse an installed products <shortsummary> tag [bnc#586303]
    • dataiterator: reset parent when jumping to a solvid [bnc#589640]
    • parse global repository ids. [bnc#377568]
    • fix pattern parsing in repomd format. [bnc#585000]
    • fix language code lookup for fallback languages [bnc#584644]
    • change solvable_lookup_str_lang interface a bit for libzypp
    • make dup rules work when system repo is not first [bnc#581276]
    • parse pattern visibility flag in repomd format
    • speed up createwhatprovides when many solvables provide the same dep
    • fix choice rule creation for real (bnc#551637)
    • set repository:toolversion to 1.0 in common_write
    • disable update rule in noobsoletes case if installed package is to be kept [bnc#564239]
    • work around rpm bug when --prefix is used [bnc#565525]
    • add support for sparc architecture [bnc#566291]
    • Support optionally compressed product(s).xml in rpmmd metadata.
    • Propagate ZConfig::setTextLocale to pool. (bnc#588850)
    • Fix guessing package spec to match package names only. (bnc#590864)
    • Add static Target::distributionLabel to return the baseproducts shortName and summary. Mainlu used for the bootloader menu. (bnc #586303)
    • Fix broken bit values in enum VendorSupportOption (bnc#589331)
    • Fix handling of symlinked packages in package cache. (bnc #585409)
    • Avoiding use of 'guest' if 'credentials' is used when moutning a CIFS share. This caused 'permission denied' error with certain server configurations (bnc #560496).
    • Check if a downloaded file actually exists even if aria2c returned 0. (bnc #564816)
    • Made CURLE_PARTIAL_FILE an auto-retry error (bnc #471436)
    • Turn off cookies when retrieving services repoindex.xml (bnc #573897)
    • Consider pending disable requests when removing service repositories. (bnc #572634)
    • RepoManager::cleanCacheDirGarbage added for removing directories which do not belong to any of known repos (bnc #467693)
    • On SLE aria2 is not required, so conflict with a too old aria2 version installed. (bnc #578052)
    • Fix package-manager script wrongly escaping UTF-8 chars in path names (bnc #571410)
    • Remember the enabled state of removed service repositories. This way we are able to restore service repositories correctly after a subscrition expired and gets renewed. (bnc #572634)
    • Abort aria2c download when the progress callback receives 'false' (bnc #545106)
    • Evaluate SolvAttr::repositoryToolVersion to prevent loading outdated solv files. (bnc #570623)
    • Use regex to parse aria2c progress lines (bnc #570917)
    • Set SignatureFileChecker context even if the key is not known (bnc #495977)
    • RepoInfoBase::label() added for use in UI messages, plus ZConfig::repoLabelIsAlias()
    • Fix transaction building in presence of multiversion installable items.
    • Improve multiversion status handling and installation. (fate #305311)
    • Don't allow an alias to start with '.' (bnc #473834)
    • PickList and status interface for handling packages which are installable in multiple versions. (fate #305311)
    • Add Selectable::highestAvailableVersionObj. Returns the highest available package version, ignoring priorities and policies. (bnc #557557)
    • Also parse <product> tag from .prod files <upgrade> section.
    • Fix chroot execution of update scripts. (bnc #558813)
    • Fixed parsing of download speed from aria2c (bnc #537870)
    • Add ui::Selecatble interface for picking specific package versions to install or delete if multiversion install is on.
    • Parse zypp.conf multiversion option and make the setting available in pool and resolver.
    • Fix repository probing and building in presence of productdir. (bnc #553712)
    • Raised the limit of redirections from 3 to 6 (bnc #465532)
    • Following redirections also for https (bnc #545722).
    • Following https redirections requires at least libcurl4-7.19.4. (bnc #553895)
    • Do not report cached packages as being downloaded. (bnc #545295)
    • Per default do not collect and report deleted files outside bin and lib directories for 'zypper ps'. (bnc #554480)
    • CheckAccessDeleted: Per default do not collect and report deleted files that outside bin and lib directories. 'zypper ps' reporting false positive seems to confuse. (bnc #554480)
    • Following https redirections requires at least libcurl4-7.19.4. (bnc #553895)
    • dup: Process drop list only if product actually changes. (bnc #552180)
    • Selectable: Consider allowed arch/noarch changes when comuting candiadates.
    • Enhance interface for zypper. (bnc #551956)
    • CIFS/SMB: Support mountoption 'noguest' to prevent passing 'guest' option to mount. "cifs://server/share/path?mountoptions=noguest,ro" (bnc #547354)
    • Work around swig not understanding nested class.
    • Pass py_sitedir macro from .spec file to cmake.
    • Always print solver problems if solving failed.
    • Parse and process <upgradeRepo name=REPOALIAS/>
    • add test cases for UI testing (new directory UI-tests)
    • Fixed crash if no available packages found in repos (bnc #591760)
    • Fixed "removed locks:" message not translated (bnc #581332)
    • Fixed 'lp --issues' and 'patch --cve #' (bnc #589640)
    • Showing full product name in installation summary and license text (bnc #589333)
    • Reporting why specified selectable can't be updated in 'zypper in packages' or 'zypper up packages' (bnc #522223) In case of 'zypper up' the summary also shows a list of packages that have update candidates, but will not get upgraded.
    • zypp-refresh-wrapper: set HOME so zypp/er credentials under /root can be found (bnc #585789)
    • Ignoring trailing slash when matching repos by URL (bnc #585082)
    • Show installed packages only from specified repos when 'zypper [-i|-u] -r repo' is used (bnc#467106)
    • Added a few forgotten strings for translation (bnc #581332)
    • Fix SEGV in Summary::writeResolvableList
    • Avoid a newline in 'zypper --quiet list-patches' (bnc #523573)
    • Showing packages that need additional customer contract separately in the installation summary (bnc #581926 c#6)
    • Avoiding confirmation of unchanged license on upgrade (bnc #394396)
    • clean --all: clean also garbage and zypper cache (bnc #467693)
    • Fixed broken --type (bnc #580571)
    • Fix 'zypper products' failing to list installed products under certain conditions (bnc #578721)
    • Fix SEGV if $HOME or $PWD are unset in the environment (bnc #578684)
    • Exit if missing required option argument.
    • Start using Capability::guessPackageSpec to parse package arguments.
    • man page updated (bnc #576080)
    • Fixed ignored .arch when specifying packages as name.arch (bnc #561294)
    • Setting --root correctly when working with lock (reported by Uwe)
    • Correctly abbreviate strings with non-ascii characters in tables (bnc #393723)
    • Avoid overwriting progress lines with other messages (bnc #495977)
    • Fixed --no-force-resolution help text (bnc #535816)
    • zypper.conf: main.showAlias option added to choose between alias and name for showing repos
    • search, pt: hide patterns flagged user invisible (bnc #538152)
    • Report invalid alias exception from libzypp (bnc #473834)
    • Match repositories also by name wherever repository is expected (bnc #462697).
    • Show truely all updates when --all is used (bnc #557557)
    • new prompt options for media errors: * cd/dvd: 'e' to eject selected drive (bnc #279045) * https: 's' to disable SSL CA check (bnc #223512)
    • solver.forceResolutionCommands added to zypper.conf to configure commands in which forceResolve solver option should be set (bnc #549940)
    • --download-* aliases added for --download <mode> option values
    • --download option added to in, up, dup, ve, and patch commands to set the package download mode ad-hoc. Available download modes: only, in-advance, in-heaps, as-needed.
    • Show update notifications after installation (fate #301175)
    • dist-upgrade: warn about muliple repos and show hint. This is a temporary solution to fate #305553.
    • Show recommended and suggested packages in summary (fate #303493)
    • --gpg-auto-import-keys global option added (fate #307087)
    • --with-interactive option added to 'patch' command (bnc #497711)
    • Fix zypper to use up-to-date RepoInfos. (bnc #544432)
    • fixed wrong package counting during installation (bnc #545295)
    • al/rl: Support 'kind:name' notation if -t is not given. Also required to remove a specific lock as rl does not yet support -t. (bnc 551956)
    • Fix typo in man page. (bnc #552265)
    • Prevent clipping lines when output is redirected. (bnc #551744)

    For more information about bugs fixed by this update please visit these websites:
    • https://bugzilla.novell.com/show_bug.cgi?id=223512.
    • https://bugzilla.novell.com/show_bug.cgi?id=279045.
    • https://bugzilla.novell.com/show_bug.cgi?id=377568.
    • https://bugzilla.novell.com/show_bug.cgi?id=393723.
    • https://bugzilla.novell.com/show_bug.cgi?id=394396.
    • https://bugzilla.novell.com/show_bug.cgi?id=462697.
    • https://bugzilla.novell.com/show_bug.cgi?id=465532.
    • https://bugzilla.novell.com/show_bug.cgi?id=467106.
    • https://bugzilla.novell.com/show_bug.cgi?id=467693.
    • https://bugzilla.novell.com/show_bug.cgi?id=471436.
    • https://bugzilla.novell.com/show_bug.cgi?id=473834.
    • https://bugzilla.novell.com/show_bug.cgi?id=495977.
    • https://bugzilla.novell.com/show_bug.cgi?id=497711.
    • https://bugzilla.novell.com/show_bug.cgi?id=522223.
    • https://bugzilla.novell.com/show_bug.cgi?id=523573.
    • https://bugzilla.novell.com/show_bug.cgi?id=535816.
    • https://bugzilla.novell.com/show_bug.cgi?id=537870.
    • https://bugzilla.novell.com/show_bug.cgi?id=538152.
    • https://bugzilla.novell.com/show_bug.cgi?id=544432.
    • https://bugzilla.novell.com/show_bug.cgi?id=545106.
    • https://bugzilla.novell.com/show_bug.cgi?id=545295.
    • https://bugzilla.novell.com/show_bug.cgi?id=545722.
    • https://bugzilla.novell.com/show_bug.cgi?id=547354.
    • https://bugzilla.novell.com/show_bug.cgi?id=549940.
    • https://bugzilla.novell.com/show_bug.cgi?id=551637.
    • https://bugzilla.novell.com/show_bug.cgi?id=551744.
    • https://bugzilla.novell.com/show_bug.cgi?id=551956.
    • https://bugzilla.novell.com/show_bug.cgi?id=552180.
    • https://bugzilla.novell.com/show_bug.cgi?id=552265.
    • https://bugzilla.novell.com/show_bug.cgi?id=553712.
    • https://bugzilla.novell.com/show_bug.cgi?id=553895.
    • https://bugzilla.novell.com/show_bug.cgi?id=554480.
    • https://bugzilla.novell.com/show_bug.cgi?id=557557.
    • https://bugzilla.novell.com/show_bug.cgi?id=558813.
    • https://bugzilla.novell.com/show_bug.cgi?id=560496.
    • https://bugzilla.novell.com/show_bug.cgi?id=561294.
    • https://bugzilla.novell.com/show_bug.cgi?id=564239.
    • https://bugzilla.novell.com/show_bug.cgi?id=564816.
    • https://bugzilla.novell.com/show_bug.cgi?id=565525.
    • https://bugzilla.novell.com/show_bug.cgi?id=566291.
    • https://bugzilla.novell.com/show_bug.cgi?id=570623.
    • https://bugzilla.novell.com/show_bug.cgi?id=570917.
    • https://bugzilla.novell.com/show_bug.cgi?id=571410.
    • https://bugzilla.novell.com/show_bug.cgi?id=572634.
    • https://bugzilla.novell.com/show_bug.cgi?id=573897.
    • https://bugzilla.novell.com/show_bug.cgi?id=576080.
    • https://bugzilla.novell.com/show_bug.cgi?id=578052.
    • https://bugzilla.novell.com/show_bug.cgi?id=578684.
    • https://bugzilla.novell.com/show_bug.cgi?id=578721.
    • https://bugzilla.novell.com/show_bug.cgi?id=580571.
    • https://bugzilla.novell.com/show_bug.cgi?id=581276.
    • https://bugzilla.novell.com/show_bug.cgi?id=581332.
    • https://bugzilla.novell.com/show_bug.cgi?id=581926.
    • https://bugzilla.novell.com/show_bug.cgi?id=584644.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,196
    Blog Entries
    15

    Default Re: GNOME: Problems with Update Applet (gnome-packagekit)

    Quote Originally Posted by pistazienfresser
    Hi users fororum,
    I have a curious problem with the half-automatic update in GNOME.

    A orange star in my system panel shows me a pending update.
    When I click on the star the (GNOME) update viewer opens.
    (Seems this is out of the GNOME package "gnome-packagekit", see:
    'PackageKit - Main Page' (http://www.packagekit.org/).)
    This wants to install "libzypp: Collective update for openSUSE 11.2
    softwaremgmt_201004-2355 (noarch)".
    But when I try to allow this it fails.
    The message is: "Subprocess failed. Error: RPM failed: error: package
    yast2-qt-pkg-2.18.18-1.1.2.i586 is not installed".
    Hi
    What happens if you try the update from the command line;
    Code:
    sudo zypper ref
    sudo zypper lu
    sudo zypper up
    --
    Cheers Malcolm ฐฟฐ (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.45-0.1-default
    up 17:42, 4 users, load average: 0.19, 0.16, 0.21
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 195.36.15


  3. #3
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Thumbs up Re: GNOME: Problems with Update Applet (gnome-packagekit)

    I had running YaST>Online Update and had clicked always on ignore (or likewise) in the meantime.

    After that I found this answer and ran the commands.

    Quote Originally Posted by malcolmlewis View Post
    sudo zypper ref
    All shown repositories seem to be up to date.
    Quote Originally Posted by malcolmlewis View Post
    sudo zypper lu
    Code:
    Loading repository data...
    Reading installed packages...
    No updates found.
    Quote Originally Posted by malcolmlewis View Post
    sudo zypper up
    Code:
    Loading repository data...
    Reading installed packages...
    
    Nothing to do.
    It seems to me it is all right (now).
    Thanks a lot for your help
    pistazienfresser

  4. #4
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Question Re: GNOME: Problems with Update Applet (gnome-packagekit)

    The star was there again.

    Even locking the package/package of packages/placeholder for packages in the "Automatic Update" in YaST (which as I recall also uses the gnome update mechanic not the one of SuSE/openSUSE) did not help.

    I am pretty sure that my system is up to date and think that only that placeholder did not exist in SuSE's "Software Manager".

    Is there a way to edit/delete the items listed in the update programs/applications of GNOME by hand?

    Greetings
    pistazienfresser

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,037
    Blog Entries
    14

    Default Re: GNOME: Problems with Update Applet (gnome-packagekit)

    There might be an error in the package database. Run
    Code:
    su -c 'rpm --rebuilddb'
    and see if the problem persists.
    ยฐ Appreciate my reply? Click the star and let me know why.

    ยฐ Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Default Re: GNOME: Problems with Update Applet (gnome-packagekit)

    Quote Originally Posted by Knurpht View Post
    There might be an error in the package database. Run
    Code:
    su -c 'rpm --rebuilddb'
    and see if the problem persists.
    I did this (rebuilding the rpm index databases?) and ran YaST>Online Update after that.
    There was no annoying package/placeholder waiting anymore.

    I will turn the semi-automatic update/the GNOME Update Applet on and see what happens/what mistakes I may make in the future...

    Thanks
    pistazienfresser

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •